""" Select a sound, delay between echos, and number of echos """
def main():
  print "Select the Media Folder"
  setMediaFolder()
  print "Select the first sound (.wav) file to blend "
  fileName = pickAFile()
  sound = makeSound(fileName)
  print "Open Sound Tool to 'view' sound"
  openSoundTool(sound)
  blockingPlay(sound)

  delay = requestIntegerInRange("Enter delay in samples", 1, getLength(sound))
  
  number = requestIntegerInRange("Enter number of echos", 1, 100)
  
  echoes = makeEchoes(sound, delay, number)
  
  blockingPlay(echoes)
  
  writeSoundTo(echoes, getMediaPath("echoes.wav"))
  print "Open Sound Tool to 'view' sound"
  openSoundTool(echoes )

def makeEchoes(sound, delay, number):
  """ Takes a sound to echo, the delay between the echoes w.r.t. # samples,
      and number of times the echo repeats. """ 
   
  ends1 = getLength(sound)
  endEchoSound = ends1 + (delay * number)
  echoSound = makeEmptySound(endEchoSound)
  
  echoAmplitude = 1.0
  for echoCount in range(0, number+1):
    for index in range(0,getLength(sound)):
      echoIndex = index + (delay * echoCount)
      value1 = getSampleValueAt(sound,index) * echoAmplitude
      value2 = getSampleValueAt(echoSound, echoIndex)
      setSampleValueAt(echoSound, echoIndex, value1 + value2)
    echoAmplitude = echoAmplitude * 0.75
      
  return echoSound

main()